%define	name xye
%define	version 0.12.2
%define	release %mkrel 2

Summary: Xye is a puzzle game where the goal is to collect all the gems in the room
Summary(de): Xye ist ein Puzzelspiel mit dem Ziel alle Edelsteine in einem Raum zu sammeln
Name: %{name}
Version: %{version}
Release: %{release}
Group:	Games/Puzzles
License:  zlib
URL: http://xye.sourceforge.net/
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}SDL_ttf-devel
#-------------------------------------
Obsoletes: %name < %version

%description
Xye is a puzzle game in which the objective is to help a character that looks like a green circle 
to get all the gems in the room. This is, of course, not as easy as it sounds, Xye must solve all 
sorts of puzzles while at the same time avoiding all sorts of traps and beasts. Xye is similar to 
other puzzle games like sokoban or boulderdash, yet it also includes some arcade elements. Xye is 
a derivative of a classic windows game called Kye, which is the base of the gameplay experience and 
visual elements. Xye is able to play level files that were made for Kye and Sokoban. It is also able 
to play custom .xye files, a richer level format that allows the new objects and features, you can 
make these levels by hand or by using the built-in editor that comes with the game.

%description -l de
XYE ist ein Puzzelspiel, in dem es das Ziel ist, einem Charakter, der wie ein grüner Kreis aussieht zu helfen,
alle Edelsteine ​​in einem Raum zu erhalten. Dies ist natürlich nicht so einfach wie es klingt, XYE muss alle
Arten von Rätseln lösen, während er gleichzeitig auf viele Arten von Fallen und Bestien achten muss. XYE ist ähnlich
anderen Puzzelspiele wie Sokoban oder boulderdash, aber es enthält auch einige Arcade-Elemente. XYE ist
ein Derivat eines klassischen Windows-Spiel namens Kye, das die Basis der Gameplay-Erfahrung und
visuellen Elementen ist. XYE ist in der Lage, Niveau-Dateien, die für Kye und Sokoban gemacht wurden zu spielen. Es ist auch in der Lage
benutzerdefinierte .xye Dateien zu spielen, auch können neue Level mit dem eingebauten
Leveleditor erstellt werden.

%prep
%setup -q 

%build

%configure2_5x --prefix=/usr
   
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Terminal=false
Name=Xye
Exec=%{name}
Icon=%{name}
Comment=A puzzle game
Comment[de]=Ein Puzzelspiel
Categories=Game;PuzzleGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Dec 26 2013 bb <bb> 0.12.2-2pclos2013
- remove duplicate BR desktop-file-utils

* Sat Dec 21 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.12.2-1pclos2013
- 0.12.2

* Thu Feb 23 2012 Neal <nealbrks0 at gmail dot com> 0.12.0-1pclos2012
- process

* Wed Feb 22 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.12.0-1pclos2012
- 0.12.0
- added german summary, description and comment in desktop file section
- added xz compression
- added %{_lib} makro for 64bit
- commented dos2unix isnt used
- commented doc %{_datadir}/doc/%{name} doc data moved into the folder in share

* Fri Dec 18 2009 slick50 <lxgator@gmail.com> 0.9.1-1pclos2010
- initial build


